# Input Numeric [![Build Status](https://code.siemens.com/florian.frank/input-numeric/badges/master/build.svg)](hhttps://code.siemens.com/florian.frank/input-numeric)  [![coverage report](https://code.siemens.com/florian.frank/input-numeric/badges/master/coverage.svg?style=flat-square)](https://code.siemens.com/florian.frank/input-numeric/commits/master) [![npm](https://img.shields.io/npm/v/input-numeric.svg?style=flat-square)]() [![npm](https://img.shields.io/npm/dt/input-numeric.svg?style=flat-square)]() [![npm](https://img.shields.io/npm/dm/input.numeric.svg?style=flat-square)]() [![license](https://img.shields.io/npm/l/input-numeric.svg?style=flat-square)]()

An AngularJs Bootstrap Input for numeric values
![Screenshot](https://code.siemens.com/florian.frank/input-numeric/raw/41d069daeb4cc8945aeba283aa6ef433e1ffe26c/images/input-numeric.png)

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. See deployment for notes on how to deploy the project on a live system.

## Prerequisites

Jquery 3.1.1<br>
Bootstrap 3.3.7<br>
AngularJS 1.5.0<br>

## Installing

### From Git

Clone this repository

```
git clone https://code.siemens.com/florian.frank/input-numeric.git
```

### From NPM

```
npm install input-numeric
```

## Usage

Add the build/input-numeric.js and build/input-numeric.css to your project

```
<script src="path/to/repo/build/input-numeric.js"></script>
<script src="path/to/repo/build/input-numeric.css"></script>
```

To use the component, inject it to your module.

```
angular.module("myApp",["inputNumeric"])
```
Then use it in your HTML as follow

```
<input-numeric min="-10" max="100" step="0.01" number-of-decimals="2" read-only="false" value="$ctrl.myNumber"></input-numeric>
```

## Running the tests

Run grunt task "test" in the root of the project
```
grunt test
```

## Running the build

Run grunt task "build" in the root of the project
```
grunt build
```

## Samples

Run grunt task "server" in the root of the project.
```
grunt server
```
Then select the samples folder.

## Built With

* [Grunt](http://gruntjs.com/) - The Javascript Task Runner

## Versioning

We use [SemVer](http://semver.org/) for versioning. For the versions available, see the [tags on this repository](https://code.siemens.com/florian.frank/input-numeric/tags). 

## Publishing

Automatet publishing of tags on [code.siemens.com](https://code.siemens.com/florian.frank/input-numeric/builds). 

Manual publish a new tag on [npm](https://www.npmjs.com/package/input-numeric) [HowTo](https://gist.github.com/coolaj86/1318304)
//TODO autmated publish

## Authors

* **Florian Frank**

See also the list of [contributors](https://code.siemens.com/florian.frank/input-numeric/contributors) who participated in this project.

## License

This project is licensed under the MIT License - see the [LICENSE.md](https://code.siemens.com/florian.frank/input-numeric/blob/2d017a5942591ed9ca7500700421363bb82e16ff/LICENSE) file for details